<?php

// сжимаем страницу, если это уже не сделал хостинг
if (!ini_get('zlib.output_compression')) {

// включение сжатия, если поддерживается браузером
    if (isset($_SERVER['HTTP_ACCEPT_ENCODING']) && preg_match('#deflate#i', $_SERVER['HTTP_ACCEPT_ENCODING'])) {

        function compress_output_deflate($output) {
            return gzdeflate($output, 9);
        }

        header("Content-Encoding: deflate");
        ob_start("compress_output_deflate");
    } elseif (isset($_SERVER['HTTP_ACCEPT_ENCODING']) && preg_match('#gzip#i', $_SERVER['HTTP_ACCEPT_ENCODING'])) {

        function compress_output_gzip($output) {
            return gzencode($output, 9);
        }

        header("Content-Encoding: gzip");
        ob_start("compress_output_gzip");
    } else {
        ob_start();
    } // если нет сжатия, то просто буферизация данных
}

$compress = true;

